import java.awt.Color;
import java.awt.Dimension;
import java.awt.Graphics;

import javax.swing.JFrame;
import javax.swing.JPanel;

public class HistoFrame extends JFrame {

	private double[] histo;
	
	// ヒストグラムの階級の数&ヒストグラムウインドウのクライアント領域の幅
	public static final int HIST_MAX = 360;
	
	// ヒストグラムウインドウのクライアント領域の高さ
	public static final int HIST_HEIGHT = 200;
	
	public HistoFrame(String title, Histogram histo) {
		super(title);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setResizable(false);
		this.histo = histo.getNormalizedArray();
		this.add(new HistoPanel());
		this.pack();
	}

	private class HistoPanel extends JPanel {
		
		// パネルのサイズを設定
		public HistoPanel() {
			this.setPreferredSize(new Dimension(HIST_MAX, HIST_HEIGHT));
		}
		
		// パネルへヒストグラムを描画
		public void paintComponent(Graphics g) {
			super.paintComponent(g);
			
			// 背景色
			g.setColor(Color.BLACK);
			g.fillRect(0, 0, HIST_MAX, HIST_HEIGHT);
			
			// ヒストグラムの線
			for(int i = 0; i < HIST_MAX; i++) {
				if (i % 20 == 0) {
					if (i % 100 == 0) {
						g.setColor(Color.RED);
						g.drawLine(i, 0, i, HIST_HEIGHT);
					} else {
						g.setColor(Color.YELLOW);
						g.drawLine(i, 0, i, HIST_HEIGHT);
					}
				} else { 
					g.setColor(Color.WHITE);
					g.drawLine(i, HIST_HEIGHT, i, HIST_HEIGHT - (int) (histo[i] * HIST_HEIGHT));
				}
			}
		}
	}
}
