import java.util.Arrays;


public class Histogram {

	protected int size;
	private int[] data;
	
	public Histogram(int size) {
		data = new int[size];
		Arrays.fill(data, 0); // 配列を0で初期化
		this.size = size;
	}
	
	// ヒストグラムの度数を1増やす
	public void addCount(int index) {
		data[index]++;
	}
	
	// ヒストグラムの値を0.0~1.0に変換した配列を返す
	public double[] getNormalizedArray() {
		double[] result = new double[size];
		
		//ヒストグラムの最大値検索
		int max = data[0];
		for (int i = 1; i < size; i++) {
			if (max < data[i]) { max = data[i]; }
		}
		
		//ヒストグラム正規化
		for(int i = 0; i < size; i++) {
			result[i] = (double) data[i] / max;
		}
		
		return result;
	}
}
