import java.awt.Dimension;
import java.awt.GridLayout;
import java.awt.Image;

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;

public class MainFrame extends JFrame {

	// ウインドウのタイトル、クライアント領域のサイズ、レイアウトを初期化
	public MainFrame(String title, int width, int height) {
		super(title);
		
		// クライアント領域のサイズを設定
		JPanel panel = new JPanel();
		panel.setPreferredSize(new Dimension(width, height));
		this.add(panel);
		this.pack();
		this.remove(panel);
		
		this.setLayout(new GridLayout(0, 2));
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setResizable(false);
	}
	
	// ウインドウに画像を追加する
	public void addImage(Image img) {
		this.add(createImageJLabel(img));
		this.validate();
	}
	
	// 画像を表示するラベルを作成する
	private JLabel createImageJLabel(Image img) {
		JLabel label = new JLabel(new ImageIcon(img));
		label.setHorizontalAlignment(SwingConstants.LEFT);
		label.setVerticalAlignment(SwingConstants.TOP);
		
		return label;
	}
}
